<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [upgradeSkill](./bitburner.bladeburner.upgradeskill.md)

## Bladeburner.upgradeSkill() method

Upgrade skill.

**Signature:**

```typescript
upgradeSkill(skillName: string, count?: number): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  skillName | string | Name of skill to be upgraded. Case-sensitive and must be an exact match. |
|  count | number | _(Optional)_ Number of times to upgrade the skill. Defaults to 1 if not specified. |

**Returns:**

boolean

true if the skill is successfully upgraded, and false otherwise.

## Remarks

RAM cost: 4 GB

Attempts to upgrade the specified Bladeburner skill the specified number of times.

Returns true if the skill is successfully upgraded, and false otherwise.

